# $Revision: 1.3 $, $Date: 2011/09/30 16:14:17 $
Summary:	LibASS - SSA/ASS subtitles rendering library
Summary(pl.UTF-8):	LibASS - biblioteka renderująca napisy SSA/ASS
Name:		libass
Version:	0.10.0
Release:	1
License:	MIT-like
Group:		Libraries
#Source0Download: http://code.google.com/p/libass/downloads/list
Source0:	http://libass.googlecode.com/files/%{name}-%{version}.tar.xz
# Source0-md5:	1855bddc4c167f96968dddeeda0eb45c
URL:		http://code.google.com/p/libass/
BuildRequires:	enca-devel
BuildRequires:	fontconfig-devel >= 2.4.2
BuildRequires:	fribidi-devel >= 0.19.0
BuildRequires:	freetype-devel >= 1:2.4.0
# 0.7.0 is not released yet
#BuildRequires:	harfbuzz-devel >= 0.7.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	fontconfig-libs >= 2.4.2
Requires:	fribidi >= 0.19.0
Requires:	freetype >= 1:2.4.0
#Requires:	harfbuzz >= 0.7.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibASS is a portable subtitle renderer for the ASS/SSA (Advanced
Substation Alpha/Substation Alpha) subtitle format. It is mostly
compatible with VSFilter.


%description -l pl.UTF-8
LibASS to przenośna biblioteka renderująca napisy w formacie ASS/SSA
(Advanced Substation Alpha/Substation Alpha). Jest w większości
kompatybilna z VSFiltrem.

%package devel
Summary:	Header files for LibASS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LibASS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	enca-devel
Requires:	fontconfig-devel >= 2.4.2
Requires:	fribidi-devel >= 0.19.0
Requires:	freetype-devel >= 1:2.4.0
#Requires:	harfbuzz-devel >= 0.7.0

%description devel
This package contains the header files for developing applications
that use LibASS library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę LibASS.

%package static
Summary:	Static LibASS library
Summary(pl.UTF-8):	Statyczna biblioteka LibASS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LibASS library.

%description static -l pl.UTF-8
Statyczna biblioteka LibASS.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING Changelog
%attr(755,root,root) %{_libdir}/libass.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libass.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libass.so
%{_libdir}/libass.la
%{_includedir}/ass
%{_pkgconfigdir}/libass.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libass.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libass.spec,v $
Revision 1.3  2011/09/30 16:14:17  qboosh
- updated to 0.10.0
- since 0.9.13 License is very permissive ISC/MIT-like
- now it can use fribidi and (not released yet version of) harfbuzz

Revision 1.2  2011/09/19 15:24:01  qboosh
- updated to 0.9.13

Revision 1.1  2010/12/20 15:48:38  qboosh
- new
